import React from 'react';
import { string } from 'prop-types';
import Spinner from 'react-spinkit';
import cn from 'classnames';

var BisuReactLoading = function BisuReactLoading(_ref) {
  var name = _ref.name,
      overlay = _ref.overlay,
      text = _ref.text;

  var cl = cn('bisu--react-loading', { overlay: overlay });
  return React.createElement(
    'div',
    { className: cl },
    React.createElement(Spinner, { spinnerName: name, noFadeIn: true }),
    React.createElement(
      'div',
      { className: 'text-center' },
      React.createElement(
        'small',
        null,
        React.createElement(
          'em',
          null,
          text
        )
      )
    )
  );
};

BisuReactLoading.defaultProps = {
  name: 'cube-grid'
};

export default BisuReactLoading;